Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Screen

    java.lang.Object
      |
      +--javax.microedition.lcdui.Displayable
            |
            +--javax.microedition.lcdui.Screen

Direct Known Subclasses:
  Alert, Form, List, TextBox

public abstract class Screen
extends Displayable

The common superclass of all high-level user interface classes. Adds optional title and ticker-tape output to the Displayable class. The contents displayed and their interaction with the user are defined by subclasses.

Using subclass-defined methods, the application may change the contents of a Screen object while it is shown to the user. If this occurs, and the Screen object is visible, the display will be updated automatically. That is, the implementation will refresh the display in a timely fashion without waiting for any further action by the application. For example, suppose a List object is currently displayed, and every element of the List is visible. If the application inserts a new element at the beginning of the List, it is displayed immediately, and the other elements will be rearranged appropriately. There is no need for the application to call another method to refresh the display.

It is recommended that applications change the contents of a Screen only while it is not visible (that is, while another Displayable is current). Changing the contents of a Screen while it is visible may result in performance problems on some devices, and it may also be confusing if the Screen's contents changes while the user is interacting with it.

Method Summary
`Ticker` | `getTicker()` Gets the ticker used by this Screen.
`String` | `getTitle()` Gets the title of the Screen.
`void` | `setTicker(Ticker ticker)` Set a ticker for use with this Screen, replacing any previous ticker.
`void` | `setTitle(String s)` Sets the title of the Screen.

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, isShown, removeCommand, setCommandListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTitle

    public String getTitle()

  Gets the title of the Screen. Returns null if there is no title.

### setTitle

    public void setTitle(String s)

  Sets the title of the Screen. If null is given, removes the title.

  If the Screen is physically visible, the visible effect should take place no later than immediately after the callback or `startApp` returns back to the implementation.

  Parameters:
    `s` - the new title, or null for no title

### setTicker

    public void setTicker(Ticker ticker)

  Set a ticker for use with this Screen, replacing any previous ticker. If null, removes the ticker object from this screen. The same ticker is may be shared by several Screen objects within an application. This is done by calling setTicker() on different screens with the same Ticker object. If the Screen is physically visible, the visible effect should take place no later than immediately after the callback or `startApp` returns back to the implementation.
  Parameters:
    `ticker` - the ticker object used on this screen

### getTicker

    public Ticker getTicker()

  Gets the ticker used by this Screen.
  Returns:
    ticker object used, or null if no ticker is present

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.